Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::OpenEBookParser Class Reference

`#include <OpenEBookParser.h>`

## Public Member Functions
| OpenEBookParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document)
void | parse ()

## Private Member Functions
| OpenEBookParser (const OpenEBookParser &other)
OpenEBookParser & | operator= (const OpenEBookParser &other)

## Private Attributes
librevenge::RVNGInputStream *const | m_input
librevenge::RVNGTextInterface *const | m_document

## Constructor & Destructor Documentation

## ◆ OpenEBookParser() [1/2]

libebook::OpenEBookParser::OpenEBookParser | ( | const OpenEBookParser & | other | ) |
| private

## ◆ OpenEBookParser() [2/2]

libebook::OpenEBookParser::OpenEBookParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document
| ) |  |

## Member Function Documentation

## ◆ operator=()

OpenEBookParser & libebook::OpenEBookParser::operator= | ( | const OpenEBookParser & | other | ) |
| private

## ◆ parse()

void libebook::OpenEBookParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* const libebook::OpenEBookParser::m_document
| private

Referenced by parse().

## ◆ m_input

librevenge::RVNGInputStream* const libebook::OpenEBookParser::m_input
| private

Referenced by OpenEBookParser(), and parse().

The documentation for this class was generated from the following files:

- OpenEBookParser.h
- OpenEBookParser.cpp